Package org.snpeff.util

# Class Diff

java.lang.Object
org.snpeff.util.Diff

public class Diff extends Object

## Constructor Summary

Constructors
Constructor
Description
`Diff(String s1, String s2)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals()`
`void`
`setIgnoreCase(boolean ignoreCase)`
`void`
`setIgnoreSpaces(boolean ignoreSpaces)`
`void`
`setShowOnlyDifferentLines(boolean showOnlyDifferentLines)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Diff

public Diff(String s1, String s2)

## Method Details

### equals

public boolean equals()

### setIgnoreCase

public void setIgnoreCase(boolean ignoreCase)

### setIgnoreSpaces

public void setIgnoreSpaces(boolean ignoreSpaces)

### setShowOnlyDifferentLines

public void setShowOnlyDifferentLines(boolean showOnlyDifferentLines)

### toString

public String toString()

Overrides:
  `toString` in class `Object`